<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.w3.org/1999/xhtml">
<head>
	<title th:text="#{contributions.TabTitle}"></title>
	<script type="text/javascript">
	var startTime = new Date().getTime();
	window.dataLayer = window.dataLayer || [];
	window.dataLayer.push({
	'pageCategory': 'Contributions Page',
	'contributionsStartTime': startTime
});
</script>
	<object th:replace="fragments/global_includes :: global_includes" th:remove="tag">...</object>
</head>
<body class="nhs-bsa-pensions nhs-bsa">
	<div th:replace="fragments/header :: header">...</div>

	<main id="content" role="main" tabindex="-1">
		<div th:replace="fragments/phase_banner :: phase_banner">...</div>
		<div th:replace="fragments/service_header :: logout_back_schedule">...</div>

		<div class="grid-row">
			<div class="column-two-thirds">
				<form th:action="@{/contributionsandpayment/} + ${rft.rftUuid}" method="post" class="form" novalidate="novalidate" th:object="${rft}" id="contributions-form">
					<div class="error-summary" th:if="${#fields.hasAnyErrors()}" id="contributions-error-message" role="group" aria-labelledby="contributions-error-heading" tabindex="-1">
						<h1 class="heading-medium error-summary-heading" id="contributions-error-heading" th:text="#{errorSummary1}">Some questions have not been answered correctly:</h1>
						<p th:text="#{errorSummary2}" id="contributions-error-text">Please see the errors below.</p>
						<ul class="error-summary-list">
							<li th:if="${#fields.hasErrors('totalPensionablePay')}"><a th:href="@{#total-pensionable-pay}" th:errors="*{totalPensionablePay}" id="contributions-error-list1">Total pensionable pay is required</a></li>
							<li th:if="${#fields.hasErrors('employeeContributions')}"><a th:href="@{#employee-contributions}" th:errors="*{employeeContributions}" id="contributions-error-list2">Employee contributions is required</a></li>
							<li th:if="${#fields.hasErrors('employerContributions')}"><a th:href="@{#employer-contributions}" th:errors="*{employerContributions}" id="contributions-error-list3">Employer contributions is required</a></li>
							<li th:if="${#fields.hasErrors('employeeAddedYears')}"><a th:href="@{#employee-avcs}" th:errors="*{employeeAddedYears}" id="contributions-error-list4">Employee added years - amount you have entered is incorrect</a></li>
							<li th:if="${#fields.hasErrors('additionalPension')}"><a th:href="@{#additional-pension}" th:errors="*{additionalPension}" id="contributions-error-list5">Additional pension - amount you have entered is incorrect</a></li>
							<li th:if="${#fields.hasErrors('errbo')}"><a th:href="@{#errbo}" th:errors="*{errbo}" id="contributions-error-list6">ERRBO - amount you have entered is incorrect</a></li>
							<li th:if="${#fields.hasErrors('adjustmentsRequired')}"><a th:href="@{#add-outstanding-payments}" th:errors="*{adjustmentsRequired}" id="contributions-error-list7">Adjustments is required</a></li>
							<li th:if="${#fields.hasErrors('adjustmentList[0].adjustmentContributionDate')}"><a th:href="@{#adj-contribution-month}" th:errors="*{adjustmentList[0].adjustmentContributionDate}" id="contributions-error-list8">Adjustment period in format Month and Year is required</a></li>
							<li th:if="${#fields.hasErrors('adjustmentDateBeforeContributionDate')}"><a th:href="@{#adj-contribution-month}" th:errors="*{adjustmentDateBeforeContributionDate}" id="contributions-error-list8-1">Adjustment month/year cannot be equal or greater than contribution month/year</a></li>
							<li th:if="${#fields.hasErrors('adjustmentList[0]')}"><a th:href="@{#employee-contributions-adjustment}" th:errors="*{adjustmentList[0]}" id="contributions-error-list9">At least one value is required if adding adjustments</a></li>
							<li th:if="${#fields.hasErrors('adjustment.employeeContributions')}"><a th:href="@{#employee-contributions-adjustment}" th:errors="*{adjustment.employeeContributions}" id="contributions-error-list10">Employee contributions - amount you have entered is incorrect</a></li>
							<li th:if="${#fields.hasErrors('adjustmentList[0].employeeContributions')}"><a th:href="@{#employee-contributions-adjustment}" th:errors="*{adjustmentList[0].employeeContributions}" id="contributions-error-list11">Employee contributions - amount you have entered is incorrect</a></li>
							<li th:if="${#fields.hasErrors('adjustment.employerContributions')}"><a th:href="@{#employer-contributions-adjustment}" th:errors="*{adjustment.employerContributions}" id="contributions-error-list12">Employer contributions - amount you have entered is incorrect</a></li>
							<li th:if="${#fields.hasErrors('adjustmentList[0].employerContributions')}"><a th:href="@{#employer-contributions-adjustment}" th:errors="*{adjustmentList[0].employerContributions}" id="contributions-error-list13">Employer contributions - amount you have entered is incorrect</a></li>
							<li th:if="${#fields.hasErrors('adjustment.employeeAddedYears')}"><a th:href="@{#employee-added-years-adjustment}" th:errors="*{adjustment.employeeAddedYears}" id="contributions-error-list14">Employee added years - amount you have entered is incorrect</a></li>
							<li th:if="${#fields.hasErrors('adjustmentList[0].employeeAddedYears')}"><a th:href="@{#employee-added-years-adjustment}" th:errors="*{adjustmentList[0].employeeAddedYears}" id="contributions-error-list15">Employee added years - amount you have entered is incorrect</a></li>
							<li th:if="${#fields.hasErrors('adjustment.additionalPension')}"><a th:href="@{#additional-pension-adjustment}" th:errors="*{adjustment.additionalPension}" id="contributions-error-list16">Additional pension - amount you have entered is incorrect</a></li>
							<li th:if="${#fields.hasErrors('adjustmentList[0].additionalPension')}"><a th:href="@{#additional-pension-adjustment}" th:errors="*{adjustmentList[0].additionalPension}" id="contributions-error-list17">Additional pension - amount you have entered is incorrect</a></li>
							<li th:if="${#fields.hasErrors('adjustment.errbo')}"><a th:href="@{#errbo-adjustment}" th:errors="*{adjustment.errbo}" id="contributions-error-list18">ERRBO - amount you have entered is incorrect</a></li>
							<li th:if="${#fields.hasErrors('adjustmentList[0].errbo')}"><a th:href="@{#errbo-adjustment}" th:errors="*{adjustmentList[0].errbo}" id="contributions-error-list19">ERRBO - amount you have entered is incorrect</a></li>
							<li th:if="${#fields.hasErrors('totalDebitAmount')}"><a th:href="@{#total-amount-debited}" th:errors="*{totalDebitAmount}" id="contributions-error-list20">Enter a valid amount</a></li>
							<li th:if="${#fields.hasErrors('totalDebitAmountValid')}"><a th:href="@{#total-amount-debited}" th:errors="*{totalDebitAmountValid}" id="contributions-error-list21">Enter a valid amount</a></li>
							<li th:if="${#fields.hasErrors('totalDebitAmountPositive')}"><a th:href="@{#total-amount-debited}" th:errors="*{totalDebitAmountPositive}" id="contributions-error-list22">Total amount to be debited should not be 0 or negative</a></li>
						</ul>
					</div>

					<!-- Hidden item to contain eaCode -->
					<div class="visually-hidden" aria-hidden="true" style="display:none;">
						<input id="ea-code" type="text" th:field="*{eaCode}"> </input>
					</div>

					<h1 id="main-heading" class="heading-large">
						<span class="heading-secondary" th:text="#{serviceHeader}" id="service-name-text">Make payments to the NHS Pension Scheme</span>
						<span id="contributionMonth" th:text="*{contributionDate.contributionMonth}"></span> <span id="contributionYear" th:text="*{contributionDate.contributionYear}"></span> <span id="contibution-title-end" th:text="#{contributions.form.title.end(${rft.eaCode})}">contribution details</span>
					</h1>

					<input type = "hidden" id="contribution-year" th:field="*{contributionDate.contributionYear}"> </input>
					<input type = "hidden" id="contribution-month" th:field="*{contributionDate.contributionMonth}"> </input>

					<!-- Contributions Section -->
					<fieldset th:classappend="${#fields.hasGlobalErrors()}? validation-error">
						<legend class="visually-hidden" th:text="#{contributions.ContsDetailsHeader}" id="contribution-details-label">Contribution details</legend>
						<!-- Total Pensionable Pay -->
						<div class="form-group" th:classappend="${#fields.hasErrors('totalPensionablePay')}? error" id="total-pensionable-pay-group">
							<div class="currency-input">
								<label class="form-label" for="total-pensionable-pay" id="total-pensionable-pay-label">
									<span th:text="#{contributions.TotalPenPay}" id="total-pensionable-pay-text">Total pensionable pay</span>
									<span class="currency-input__unit">£</span>
									<span class="error-message" id="totalPensionablePay.error" th:errors="*{totalPensionablePay}">Total pensionable pay is required</span>
								</label>
								<input id="total-pensionable-pay" name="total-pensionable-pay" value="" class="form-control form-control-1-3" autocomplete="off" th:field="*{totalPensionablePay}"> </input>
							</div>
						</div>

						<!-- Employee Contributions -->
						<div class="form-group" th:classappend="${#fields.hasErrors('employeeContributions')}? error" id="employee-contributions-group">
							<div class="currency-input">
								<label class="form-label" for="employee-contributions" id="employee-contributions-label">
									<span th:text="#{contributions.EmployeeContsLabel}" id="employee-contributions-text">Employee contributions</span>
									<span class="currency-input__unit">£</span>
									<span class="error-message" id="employeeContributions.error" th:errors="*{employeeContributions}">Employee contributions is required</span>
								</label>
								<input id="employee-contributions" name="employee-contributions" value="" class="form-control form-control-1-3" autocomplete="off" th:field="*{employeeContributions}"> </input>
							</div>
						</div>

						<!-- Employer Contributions -->
						<div class="form-group" th:classappend="${#fields.hasErrors('employerContributions')}? error" id="employer-contributions-group">
							<div class="currency-input">
								<label class="form-label" for="employer-contributions" id="employer-contributions-label">
									<span th:text="#{contributions.EmployerContsLabel}" id="employer-contributions-text">Employer Contributions</span>
									<span class="currency-input__unit">£</span>
									<span class="error-message" id="employerContributions.error" th:errors="*{employerContributions}"></span>
								</label>
								<input id="employer-contributions" name="employer-contributions" value="" class="form-control form-control-1-3" autocomplete="off" th:field="*{employerContributions}"> </input>
							</div>
						</div>

						<!-- Employee added years -->
						<div class="form-group" th:classappend="${#fields.hasErrors('employeeAddedYears')}? error" id="employee-avcs-group">
							<div class="currency-input">
								<label class="form-label" for="employee-avcs" id="employee-avcs-label">
									<span th:text="#{contributions.EmployeeAddedYrsLabel}" id="employee-avcs-text">Employee added years</span>
									<span class="currency-input__unit">£</span>
									<span class="error-message" id="employeeAvcs.error" th:errors="*{employeeAddedYears}"></span>
								</label>
								<input id="employee-avcs" name="employee-avcs" value="" class="form-control form-control-1-3" autocomplete="off" th:field="*{employeeAddedYears}"> </input>
							</div>
						</div>

						<!-- Additional Pension -->
						<div class="form-group" th:classappend="${#fields.hasErrors('additionalPension')}? error" id="additional-pension-group">
							<div class="currency-input">
								<label class="form-label" for="additional-pension" id="additional-pension-label">
									<span th:text="#{contributions.AdditionalPensionLabel}" id="additional-pension-text">Additional Pension</span>
									<span class="currency-input__unit">£</span>
									<span class="error-message" id="additionalPension.error" th:errors="*{additionalPension}"></span>
								</label>
								<input id="additional-pension" name="additional-pension" value="" class="form-control form-control-1-3" autocomplete="off" th:field="*{additionalPension}"> </input>
							</div>
						</div>

						<!-- ERRBO (Early Retirement Reduction Buy Out) -->
						<div class="form-group" th:classappend="${#fields.hasErrors('errbo')}? error" id="errbo-group">
							<div class="currency-input">
								<label class="form-label" for="errbo" id="errbo-label">
									<span th:text="#{contributions.ErrboLabel}" id="errbo-text">ERRBO (Early Retirement Reduction Buy Out)</span>
									<span class="currency-input__unit">£</span>
									<span class="error-message" id="errbo.error" th:errors="*{errbo}"></span>
								</label>
								<input id="errbo" name="errbo" value="" class="form-control form-control-1-3" autocomplete="off" th:field="*{errbo}"> </input>
							</div>
						</div>
					</fieldset>

					<fieldset class="form-group" th:classappend="${#fields.hasErrors('adjustmentsRequired')}? error" id="adjustments-group">
						<legend class="form-label-bold" th:text="#{contributions.AdjRequiredHeader}" id="adjustments-label">Are adjustments required?</legend>
						<span class="error-message" id="adjustment-option-error" th:errors="*{adjustmentsRequired}">Adjustments is required</span>
						<div class="inline">
							<label class="block-label selection-button-radio" for="add-outstanding-payments" data-target="outstanding-payments-panel" id="add-outstanding-payments-label">
								<input type="radio" name="outstanding-payments" id="add-outstanding-payments" value="1" th:field="*{adjustmentsRequired}"> </input>
								<span class="input-text" th:text="#{contributions.AdjRBYesLabel}" id="add-outstanding-payments-text">Yes</span>
							</label>
							<label class="block-label selection-button-radio" for="no-outstanding-payments" id="no-outstanding-payments-label">
								<input type="radio" th:checked="*{adjustmentsRequired}" name="outstanding-payments" id="no-outstanding-payments" value="0" th:field="*{adjustmentsRequired}" aria-required="true" required="required"> </input>
								<span class="input-text" th:text="#{contributions.AdjRBNoLabel}" id="no-outstanding-payments-text">No</span>
							</label>
						</div>
					</fieldset>

					<!-- Adjustment Panel, shown/hidden depending on RB selection -->
					<div th:classappend="*{adjustmentsRequired}? '' : js-hidden" id="outstanding-payments-panel">
						<div class="form-group" th:classappend="${#fields.hasErrors('adjustmentList[0].adjustmentContributionDate') or #fields.hasErrors('adjustmentDateBeforeContributionDate')}? error">
							<fieldset>
								<legend id="adjustment-period-label">
									<span class="form-label-bold" th:text="#{contributions.AdjPeriodHeader}" id="adjustment-period-text">Adjustment period</span>
									<span class="form-hint" th:text="#{contributions.AdjPeriodHintLabel}" id="adjustment-period-hint">For example, September 2016</span>
									<span class="error-message" id="adjustment-period-error" th:errors="*{adjustmentList[0].adjustmentContributionDate}">Adjustment period in format Month and Year is required</span>
									<span class="error-message" id="adjustment-contribution-period-error" th:errors="*{adjustmentDateBeforeContributionDate}">Adjustment month/year cannot be equal or greater than contribution month/year</span>
								</legend>
								<div class="form-date form-date-wide">
									<div class="form-group-month" id="adj-contribution-month-group">
										<label class="form-label" for="adj-contribution-month" th:text="#{contributions.AdjPeriodMonthLabel}" id="adj-contribution-month-text">Month</label>
										<input class="form-control typeahead" id="adj-contribution-month" name="adjustment-month" type="text" maxlength="11" th:field="*{adjustment.adjustmentContributionDate.contributionMonth}"
											   th:errorclass="form-control-error" />
									</div>
									<div class="form-group-year" id="adj-contribution-year-group">
										<label class="form-label" for="adj-contribution-year" th:text="#{contributions.AdjPeriodYearLabel}" id="adj-contribution-month-year">Year</label>
										<input class="form-control validate-secondary-text-input" id="adj-contribution-year" name="adjustment-year" type="number" min="2001" th:field="*{adjustment.adjustmentContributionDate.contributionYear}"
											   th:errorclass="form-control-error" />
									</div>
								</div>
							</fieldset>
						</div>

						<div class="form-group" th:classappend="${#fields.hasErrors('adjustmentList[0].employerContributions') or #fields.hasErrors('adjustmentList[0].errbo') or
					#fields.hasErrors('adjustmentList[0].additionalPension') or #fields.hasErrors('adjustmentList[0].employeeAddedYears') or #fields.hasErrors('adjustmentList[0].employeeContributions')
					or #fields.hasErrors('adjustmentList[0]')}? error">
							<fieldset>
								<legend class="form-label-bold" id="adjustment-form-label">
									<span id="adjustment-label-text">Adjustment contribution details</span>
									<span class="error-message" id="adjustment-mandatory-error" th:errors="*{adjustmentList[0]}">At least one value is required if adding adjustments</span>
								</legend>

								<!-- Adjustment Employee Contributions -->
								<div class="form-group" id="employee-contributions-adjustment-group">
									<div class="currency-input">
										<label class="form-label" for="employee-contributions-adjustment" id="employee-contributions-adjustment-label">
											<span th:text="#{contributions.EmployeeContsLabel}" id="employee-contributions-adjustment-text">Employee contributions</span>
											<span class="currency-input__unit">£</span>
											<span class="error-message" id="employee-contributions-adjustment-bind-error" th:errors="*{adjustment.employeeContributions}">Employee contribution - amount you have entered is incorrect</span>
											<span class="error-message" id="employee-contributions-adjustment-error" th:errors="*{adjustmentList[0].employeeContributions}">Employee contribution - amount you have entered is incorrect</span>
										</label>
										<input id="employee-contributions-adjustment" name="employee-contributions-adjustment" value="" class="form-control form-control-1-3" autocomplete="off" th:field="*{adjustment.employeeContributions}"> </input>
									</div>
								</div>

								<!-- Adjustment Employer Contributions -->
								<div class="form-group" id="employer-contributions-adjustment-group">
									<div class="currency-input">
										<label class="form-label" for="employer-contributions-adjustment" id="employer-contributions-adjustment-label">
											<span th:text="#{contributions.EmployerContsLabel}" id="employer-contributions-adjustment-text">Employer contributions</span>
											<span class="currency-input__unit">£</span>
											<span class="error-message" id="employer-contributions-adjustment-bind-error" th:errors="*{adjustment.employerContributions}">Employers contribution - amount you have entered is incorrect</span>
											<span class="error-message" id="employer-contributions-adjustment-error" th:errors="*{adjustmentList[0].employerContributions}">Employers contribution - amount you have entered is incorrect</span>
										</label>
										<input id="employer-contributions-adjustment" name="employer-contributions-adjustment" value="" class="form-control form-control-1-3" autocomplete="off" th:field="*{adjustment.employerContributions}"> </input>
									</div>
								</div>

								<!-- Adjustment Employee Added Years -->
								<div class="form-group" id="employee-added-years-adjustment-group">
									<div class="currency-input">
										<label class="form-label" for="employee-added-years-adjustment" id="employee-added-years-adjustment-label">
											<span th:text="#{contributions.EmployeeAddedYrsLabel}" id="employee-added-years-adjustment-text">Employee added years</span>
											<span class="currency-input__unit">£</span>
											<span class="error-message" id="employee-added-years-adjustment-bind-error" th:errors="*{adjustment.employeeAddedYears}">Employee added years - amount you have entered is incorrect</span>
											<span class="error-message" id="employee-added-years-adjustment-error" th:errors="*{adjustmentList[0].employeeAddedYears}">Employee added years - amount you have entered is incorrect</span>
										</label>
										<input id="employee-added-years-adjustment" name="employee-avcs-adjustment" value="" class="form-control form-control-1-3 at-least-one" autocomplete="off" th:field="*{adjustment.employeeAddedYears}"> </input>
									</div>
								</div>

								<!-- Adjustment Additional Pension -->
								<div class="form-group" id="additional-pension-adjustment-group">
									<div class="currency-input">
										<label class="form-label" for="additional-pension-adjustment" id="additional-pension-adjustment-label">
											<span th:text="#{contributions.AdditionalPensionLabel}" id="additional-pension-adjustment-text">Additional pension</span>
											<span class="currency-input__unit">£</span>
											<span class="error-message" id="additional-pension-adjustment-bind-error" th:errors="*{adjustment.additionalPension}">Additional pension - amount you have entered is incorrect</span>
											<span class="error-message" id="additional-pension-adjustment-error" th:errors="*{adjustmentList[0].additionalPension}">Additional pension - amount you have entered is incorrect</span>
										</label>
										<input id="additional-pension-adjustment" name="additional-pension-adjustment" value="" class="form-control form-control-1-3 at-least-one" autocomplete="off" th:field="*{adjustment.additionalPension}"> </input>
									</div>
								</div>

								<!-- Adjustment ERRBO -->
								<div class="form-group" id="errbo-adjustment-group">
									<div class="currency-input">
										<label class="form-label" for="errbo-adjustment" id="errbo-adjustment-label">
											<span th:text="#{contributions.ErrboLabel}" id="errbo-adjustment-text">ERRBO (Early Retirement Reduction Buy Out)</span>
											<span class="currency-input__unit">£</span>
											<span class="error-message" id="errbo-adjustment-bind-error" th:errors="*{adjustment.errbo}">ERRBO - amount you have entered is incorrect</span>
											<span class="error-message" id="errbo-adjustment-error" th:errors="*{adjustmentList[0].errbo}">ERRBO - amount you have entered is incorrect</span>
										</label>
										<input id="errbo-adjustment" name="errbo-adjustment" value="" class="form-control form-control-1-3 at-least-one" autocomplete="off" th:field="*{adjustment.errbo}"> </input>
									</div>
								</div>
							</fieldset>
						</div>
					</div>

					<!-- Last input field, Total Amount debited -->
					<div class="form-group" th:classappend="${#fields.hasErrors('totalDebitAmount')} or ${#fields.hasErrors('totalDebitAmountValid')} or ${#fields.hasErrors('totalDebitAmountPositive')} ? error" id="total-amount-debited-group">
						<div class="currency-input">
							<label class="form-label" for="total-amount-debited" id="total-amount-debited-label">
								<span th:text="#{contributions.TotalAmtDebitedHeader}" id="total-amount-debited-text">Total amount to be debited</span>
								<span class="currency-input__unit">£</span>
								<span class="error-message" id="total-amount-debited.error" th:errors="*{totalDebitAmount}">Enter a valid amount</span>
								<span class="error-message" id="total-amount-debited.matching.error" th:errors="*{totalDebitAmountValid}">Enter a valid amount</span>
								<span class="error-message" id="total-amount-debited.negative.error" th:errors="*{totalDebitAmountPositive}">Enter a valid amount</span>
							</label>
							<input id="total-amount-debited" name="total-amount-debited" value="" class="form-control form-control-1-3" autocomplete="off" th:field="*{totalDebitAmount}"> </input>
						</div>
					</div>
					<div class="form-group" id="contributions-submit-button">
						<button type="submit" id="submit" class="button" th:text="#{nextStep}">Next step</button>
					</div>
				</form>
			</div>
		</div>
	</main>

	<div th:replace="fragments/footer :: footer">...</div>
	<div th:replace="fragments/scripts :: scripts" th:remove="tag">...</div>
	<div th:replace="fragments/typeahead :: month-typeahead">...</div>

</body>
</html>